Bug 1546648 - Review Request: perl-IO-Socket-Socks - Provides a way to create socks (4 or 5) client or server
Summary: Review Request: perl-IO-Socket-Socks - Provides a way to create socks (4 or 5...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1479864
TreeView+ depends on / blocked
 
Reported: 2018-02-19 08:45 UTC by Paul Howarth
Modified: 2018-03-13 17:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-06 17:20:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora-review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1543336 None NEW please provide missing Fedora 27 Perl modules 2019-01-22 11:09 UTC

Internal Trackers: 1543336

Description Paul Howarth 2018-02-19 08:45:24 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-IO-Socket-Socks/branches/fedora/perl-IO-Socket-Socks.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-IO-Socket-Socks/perl-IO-Socket-Socks-0.74-1.fc28.src.rpm

Description:
IO::Socket::Socks connects to a SOCKS proxy and tells it to open a connection
to a remote host/port when the object is created. The object you receive can be
used directly as a socket (with IO::Socket interface) for sending and receiving
data to and from the remote host. In addition to creating a socks client, this
module could be used to create a socks server.

Fedora Account System Username: pghmcfc

This package is needed to update perl-Net-SSH-Perl to the current version.

Comment 1 Petr Pisar 2018-02-19 12:28:40 UTC
URL and Source address are Ok.
Source archive (SHA-256: 37f071a2cf4ba8f090a2297c6482b7a2c509eb52dcd6ce5d8035d4ee2c6824b1) is original. Ok.
Summary verified from lib/IO/Socket/Socks.pm. Ok.
Description verified from lib/IO/Socket/Socks.pm. Ok.
License verified from lib/IO/Socket/Socks.pm and Makefile.PL. Ok.
No XS code, noarch BuildArch is Ok.
Build-requires are Ok.
All tests pass. Ok.
Tests that use the Internet (SOCKS_SLOW_TESTS) are not executed. Ok.

$ rpmlint perl-IO-Socket-Socks.spec ../SRPMS/perl-IO-Socket-Socks-0.74-1.fc28.src.rpm ../RPMS/noarch/perl-IO-Socket-Socks-0.74-1.fc28.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-IO-Socket-Socks-0.74-1.fc28.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb 19 13:16 /usr/share/doc/perl-IO-Socket-Socks
-rw-r--r--    1 root    root                     3279 May  4  2017 /usr/share/doc/perl-IO-Socket-Socks/Changes
-rw-r--r--    1 root    root                      240 Oct 15  2016 /usr/share/doc/perl-IO-Socket-Socks/README
-rw-r--r--    1 root    root                     7260 Feb 19 13:16 /usr/share/man/man3/IO::Socket::Socks.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb 19 13:16 /usr/share/perl5/vendor_perl/IO
drwxr-xr-x    2 root    root                        0 Feb 19 13:16 /usr/share/perl5/vendor_perl/IO/Socket
-rw-r--r--    1 root    root                    72238 May  4  2017 /usr/share/perl5/vendor_perl/IO/Socket/Socks.pm
File layout and permissions are Ok.

TODO: Consider packaging `examples' subdirectory as a documentation.

$ rpm -q --requires -p ../RPMS/noarch/perl-IO-Socket-Socks-0.74-1.fc28.noarch.rpm |sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.1)
      1 perl(Carp)
      1 perl(constant)
      1 perl(Errno)
      1 perl(Exporter)
      1 perl(IO::Select)
      1 perl(IO::Socket::IP) >= 0.36
      1 perl(overload)
      1 perl(Socket)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Constrain `perl(constant)' with `>= 1.03' (Makefile.PL:9).
TODO: Constrain `perl(Socket)' with `>= >= 1.94' (Makefile.PL:9).

$ rpm -q --provides -p ../RPMS/noarch/perl-IO-Socket-Socks-0.74-1.fc28.noarch.rpm |sort -f | uniq -c
      1 perl(IO::Socket::Socks) = 0.74
      1 perl(IO::Socket::Socks::Debug)
      1 perl(IO::Socket::Socks::Error)
      1 perl(IO::Socket::Socks::ReadOnlyVar)
      1 perl(IO::Socket::Socks::SocketClassVar)
      1 perl-IO-Socket-Socks = 0.74-1.fc28
Binary provides are Ok.

The package builds in F28 (https://koji.fedoraproject.org/koji/taskinfo?taskID=25158861). Ok.

This package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building this package.
Resolution: Package APPROVED.

Comment 2 Gwyn Ciesla 2018-02-19 16:20:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-IO-Socket-Socks

Comment 3 Fedora Update System 2018-02-19 18:32:27 UTC
perl-IO-Socket-Socks-0.74-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3caef3d480

Comment 4 Fedora Update System 2018-02-19 18:32:36 UTC
perl-IO-Socket-Socks-0.74-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-47c3d57d25

Comment 5 Fedora Update System 2018-02-19 18:32:42 UTC
perl-IO-Socket-Socks-0.74-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f105aefd30

Comment 6 Fedora Update System 2018-02-20 17:37:33 UTC
perl-IO-Socket-Socks-0.74-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-47c3d57d25

Comment 7 Fedora Update System 2018-02-20 17:49:33 UTC
perl-IO-Socket-Socks-0.74-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3caef3d480

Comment 8 Fedora Update System 2018-02-20 18:18:03 UTC
perl-IO-Socket-Socks-0.74-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f105aefd30

Comment 9 Fedora Update System 2018-03-06 17:20:21 UTC
perl-IO-Socket-Socks-0.74-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-03-06 17:28:05 UTC
perl-IO-Socket-Socks-0.74-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-03-13 17:06:27 UTC
perl-IO-Socket-Socks-0.74-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.